Get a payment update link for the customer
POST
/api/subscriptions/{id}/payment-method/update-url
const url = 'https://api.usegro.co/api/subscriptions/example/payment-method/update-url';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.usegro.co/api/subscriptions/example/payment-method/update-urlReturns a secure Shopify-hosted URL the team can send to the customer to update the payment method on this subscription. Uses Shopify’s customerPaymentMethodGetUpdateUrl mutation.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”Payment update link generated
Media typeapplication/json
object
url
required
string
Example generated
{ "url": "example"}Subscription has no Shopify contract, or Shopify rejected the request
Media typeapplication/json
Example
{ "error": "Subscription has no Shopify contract"}